operator++
Prev | Chapter 18. Db_set_base_iterator | Next

## operator++

### Function Details

    self& operator++()

Post-increment.

#### Return Value

This iterator after incremented.

#### See Also

db_map_base_iterator::operator++()

    self operator++(int)

Pre-increment.

#### Return Value

Another iterator having the old value of this iterator.

#### See Also

db_map_base_iterator::operator++(int)

### Group: Iterator movement operators.

These functions are identical to those of db_map_base_iterator and db_map_iterator and db_set_iterator .

Actually the iterator movement functions in the four classes are the same.

### Class

db_set_base_iterator

Prev | Up | Next
db_set_base_iterator | Home | operator--